Jump to content
Sign in to follow this  
TechAngel85

v2.0.0 - Feedback & Bug Reports

Recommended Posts

I have the latest version of AMUMSS (v3.9.5W) downloaded from GiyHub, but when I execute "BUILDMOD.bat" to build the STEP patch, I go through an endless cycle of

 

"Would you like to update AMUMSS version (recommended) [Y/N]? Y

"A new update may exist, restart BUILDMOD.bat to check"

 

This happens no matter how many times BUILDMOD.bat  is restarted.

 

If I respond to the "Update" question with 'N', the process stops and asks the question seen in the NMS-Message.jpg" screenshot.

NMS-UpdateCycle.jpg

NMS-Message.jpg

Share this post


Link to post
Share on other sites
54 minutes ago, Decopauge123 said:

I have the latest version of AMUMSS (v3.9.5W) downloaded from GiyHub, but when I execute "BUILDMOD.bat" to build the STEP patch, I go through an endless cycle of

"Would you like to update AMUMSS version (recommended) [Y/N]? Y

"A new update may exist, restart BUILDMOD.bat to check"

This happens no matter how many times BUILDMOD.bat  is restarted.

If I respond to the "Update" question with 'N', the process stops and asks the question seen in the NMS-Message.jpg" screenshot.

NMS-UpdateCycle.jpg

NMS-Message.jpg

It will do that sometimes. You can just click N and get to where you are. That is where you need to be.

Be aware the game updated to v3.85 and this was built on v3.84. I will need to look at the Resource Files again, especially as they've added new ships; though I suspect they're still classified under light/reg/heavy so I'm not expecting any changes to our files. Though some mods installed via MO certainly require updates. I've already marked some of them.

Share this post


Link to post
Share on other sites

I just reread that.

You have Dig Out installed as a pak. You just need the LUA from the mod in your ModScripts folder.

Share this post


Link to post
Share on other sites
Posted (edited)

Thanks for the response.

I didn't notice the game update from 3.84 to 3.85.

 

UPDATE:    OK, thanks for spotting that.  I'll correct it.

 

Edited by Decopauge123

Share this post


Link to post
Share on other sites
1 hour ago, Decopauge123 said:

Thanks for the response.

I didn't notice the game update from 3.84 to 3.85.

 

UPDATE:    OK, thanks for spotting that.  I'll correct it.

 

No problem. There are also already experimental builds in the pipeline so we could potentially see another update within the next week. They tend to roll out 1-2 smaller updates per week for a couple weeks after larger ones, like v3.85 was.

Share this post


Link to post
Share on other sites
10 hours ago, TechAngel85 said:

No problem. There are also already experimental builds in the pipeline so we could potentially see another update within the next week. They tend to roll out 1-2 smaller updates per week for a couple weeks after larger ones, like v3.85 was.

If modding NMS was easy it would be boring. ;-)

I'm now getting a BUG report and a hard ERROR at the end of the process to build the Patch after properly responding to the questions.

a list of the scripts

Spoiler

+gBase Boundary 2k.lua
+gBase Items EM Anywhere 10x.lua
+gCam Centered.lua
BBASESITES.LUA
Better_Buildings_Scans.lua
Dig Out 2.6.lua
Disabled scripts and paks
Fullscreen Warps 2.7.lua
Integrated Planets 1.6.lua
modscript.txt
NoAtmosphereNoDust.lua
SensiblePlanetaryCharts.lua
_CSO v3.60 [Darker Space].lua
_CSO v3.60 [No Space Dust].lua
_CSO v3.60 [Speed Lines Reduced].lua
___StepNMS-GCAISpaceshipGlobals.lua
___StepNMS-GCCameraGlobals.lua
___StepNMS-GCEnvironmentGlobals.lua
___StepNMS-GCGameplayGlobals.lua
___StepNMS-GCGraphicsGlobals.lua
___StepNMS-GCPlayerGlobals.lua
___StepNMS-GCSkyGlobals.lua
___StepNMS-GCSolarGenerationGlobals.lua
___StepNMS-GCSpaceshipGlobals.lua
___StepNMS-GCVehicleGlobals.lua
___StepNMS-GCWaterGlobals.lua
___StepNMS-HazardTable.lua

and Report.lua

Spoiler

 

Thu 04/14/2022 23:12:32.50 AMUMSS starting!

AMUMSS v3.9.5W
using Lua 5.3
on Windows 10 Pro 64bit, Build: 22000.593 with 16 logical CPUs (cp437)
with MBINCompiler v3.84.0.1

Started MODBUILDER automatic processing at 23:13:14 {

One or more DISTINCT COMBINED MOD PAK will be created...
and NONE will be copied to NMS MOD folder

    [BUG] lua.exe generated an [ERROR]... Please report ALL scripts AND this file to NMS Discord: "No Man's Sky Modding" channel, "mod-amumss-lua" room:
           https://discord.gg/22ZAU9H


Updated EXML_Helper\MODDED
--Note that the MODDED files ARE based on the last processed script if individual mods were created
Updated EXML_Helper\ORG_EXML

Created PAKs are in local folder >>> CreatedModPAKs <<<
Backups in >>> Builds <<< and >>> Builds\IncrementalBuilds <<<


END OF PROCESSING
Total scripts processed:


}

All script(s) processed SUCCESSFULLY

Checked Conflicts in ModScript Scripts/paks and NMS MODS paks.

=================================== CONFLICTS =========================================={
NO conflict to report
========================================================================================}

>>> FINAL REPORT  <<<

    [ATTENTION]      1 BUG reported. PLEASE post ALL scripts AND "REPORT.lua" on Discord:  https://discord.gg/8jGtEcDPEY
    [ATTENTION]        or on NEXUS at https://www.nexusmods.com/nomanssky/mods/957

    [ATTENTION]      1 ERROR detected
    [ATTENTION]            ERRORS will NOT produce MBIN files and a complete PAK file may not have been created.
    [ATTENTION]            You need to correct the error first!

              0 WARNING raised

              0 NOTICE raised

              0 CONFLICT detected in processed Scripts/paks
                    It is safe to use together any of the generated PAKs

Ended AMUMSS automatic processing at 23:13:15
TOTAL TIME to complete: 00:00:01

 

have been posted to [BUG]: lua.exe generated an ERROR  on the mod's bug report page.

Share this post


Link to post
Share on other sites
6 hours ago, Decopauge123 said:

If modding NMS was easy it would be boring. ;-)

I'm now getting a BUG report and a hard ERROR at the end of the process to build the Patch after properly responding to the questions.

a list of the scripts

  Reveal hidden contents

and Report.lua

  Reveal hidden contents

have been posted to [BUG]: lua.exe generated an ERROR  on the mod's bug report page.

You probably shouldn't be trying to use it right now. MBIN Compiler has yet to be updated for the new game version. This is used by AMUMSS to properly decompile and recompile the game files. It can take a few days to a week for them to get it updated. I, myself, have not attempted to touch anything and won't until this tool is updated.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this  

  • Similar Content

    • By Mkchief34
      I recently installed the latest Wyre Bash update, 310 Beta 1. I installed it because whenever I would try to save my Bashed Patch esp for Fallout: New Vegas, I would get this particular error message, and the patch itself does not save.
      "< not supported between instances of 'nonetype' and 'int'".
      It would also not register the masters for the patch in the screen section  beside the load order. I have reinstalled Wyre Bash, I have also deleted the previous patch (Which also had the same error), and I don't know what else to do in this case. U have some coding knowledge, but I think it won't help here.
      What should I do? I have attached a screenshot below of the error messsage itself and how no masters show up in the section for them in the GUI.

    • By Badfrog88
      I'm retruning back to playing Skyrim after a couple of years absence. I've purchased the AE upgrade and began following the guide. I chose not to use the post-processing option during this build. While running DynDOLOD this message appeared on the screen. I don't believe this is a DynDOLOD problem, but I can't figure out what I need to do to resolve the issue.  Skyrim.esm isn't a master that needs to be cleaned is it? I don't remember reading that it was.
      Any help or suggestions would be greatly appreciated. 
    • By TechAngel85
      Discussion topic:
      Step NoMansSky Guide
      Resources: Nexus Mods
      Please submit feedback or bug reports about the 2.1.0 Guide to this topic.
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.